## sqldbc_cons

### Purpose

You can use sqldbc_cons to configure and control traces for the MaxDB SQLDBC interface.

### Integration

sqldbc_cons is an integral part of MaxDB SQLDBC.

### Features

#### Syntax

sqldbc_cons [<command>] [<option>]

You can only enter one option at a time. They cannot be combined.

Commands

<command> | Description
TRACE SQL ON|OFF | Switches the SQL trace on/off See SQLDBC Traces
TRACE PACKET ON|OFF | Switches the PACKET trace on/off
TRACE SHORT ON|OFF | Switches the SHORT trace on/off
TRACE LONG ON|OFF | Switches the detailed LONG trace on/off
TRACE OFF | Switches off all SQLDBC traces
TRACE FILENAME <file_name> | Sets the name <file_name> of the trace file If you enter %p in the name, it is then replaced by the process ID of the application for which the trace is written.
TRACE SIZE <size> | Defines the size <size> of the trace file ( in bytes)
SHOW ALL | Displays the configuration of the traces and current information about the traces.
SHOW CONFIG | Displays the configuration of the traces
SHOW TRACESETTINGS | Displays current information about the traces

Options

<option> | Description
-f | Forces the execution of the command
-h | Displays the help
-p <pid> | Executes the command only for the process with the process ID <pid>.
-v | Displays detailed information (verbose)

###